Subject: Re: bug#13935: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least

From: Dani Moncayo <[email-masked]>
Date: Fri, 15 Mar 2013 11:26:43 +0100

>> On a related note, I've just realized that the current trunk version
>> of Emacs (the MS-Windows port) bounds F11 to one command called
>> `toggle-frame-fullscreen' (which is supposed to do what its name
>> suggests).
>> But I've just tested it in a Windows 7 system (emacs -Q) and it
>> doesn't work well:
>> * The first time I type F11 (to toggle fullscreen "on"), I get [1].
>> IIUC, the menu bar, tool bar, emacs window (with its modeline) and
>> echo area should take the whole screen, but as you can see, that is
>> not what is happening.
>
> This was because the 'fullboth' terminology is confusing and tricked
> me into thinking that 'fullboth' value of the 'fullscreen' frame
> parameter means 'fullwidth' and 'fullheight' together.  But in fact,
> 'maximized' is 'fullwidth' and 'fullheight' together, while 'fullboth'
> means the same as 'fullscreen'.  Confusing.

Yes, I also think it's a pretty confusing and counter-intuitive terminology.

-- 
Dani Moncayo